package com.hw.ems.base.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.hw.common.core.annotation.Excel;
import com.hw.common.core.web.domain.BaseEntity;

/**
 * 线损对象信息对象 base_line_loss
 *
 * @author hw
 * @date 2023-04-20
 */
public class BaseLineLoss extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 自增标识 */
    private Long objid;

    /** 线损对象编号 */
    @Excel(name = "线损对象编号")
    private String lineLossId;

    /** 线损对象名称 */
    @Excel(name = "线损对象名称")
    private String lineLossName;

    /** 监测点编号 */
    @Excel(name = "监测点编号")
    private String monitorId;

    /** 监测点名称 */
    @Excel(name = "监测点名称")
    private String monitorName;

    /** 监测点类型 */
    @Excel(name = "监测点类型")
    private Long monitorType;

    /** 等级 */
    @Excel(name = "等级")
    private Long grade;

    /** 计量设备状态 */
    @Excel(name = "计量设备状态")
    private Long lineLossStatus;

    /** 权限标识（用户） */
    @Excel(name = "权限标识", readConverterExp = "用=户")
    private Long userId;

    /** 权限标识（部门） */
    @Excel(name = "权限标识", readConverterExp = "部=门")
    private Long deptId;

    public void setObjid(Long objid)
    {
        this.objid = objid;
    }

    public Long getObjid()
    {
        return objid;
    }
    public void setLineLossId(String lineLossId)
    {
        this.lineLossId = lineLossId;
    }

    public String getLineLossId()
    {
        return lineLossId;
    }
    public void setLineLossName(String lineLossName)
    {
        this.lineLossName = lineLossName;
    }

    public String getLineLossName()
    {
        return lineLossName;
    }
    public void setMonitorId(String monitorId)
    {
        this.monitorId = monitorId;
    }

    public String getMonitorId()
    {
        return monitorId;
    }
    public void setMonitorName(String monitorName)
    {
        this.monitorName = monitorName;
    }

    public String getMonitorName()
    {
        return monitorName;
    }
    public void setMonitorType(Long monitorType)
    {
        this.monitorType = monitorType;
    }

    public Long getMonitorType()
    {
        return monitorType;
    }
    public void setGrade(Long grade)
    {
        this.grade = grade;
    }

    public Long getGrade()
    {
        return grade;
    }
    public void setLineLossStatus(Long lineLossStatus)
    {
        this.lineLossStatus = lineLossStatus;
    }

    public Long getLineLossStatus()
    {
        return lineLossStatus;
    }
    public void setUserId(Long userId)
    {
        this.userId = userId;
    }

    public Long getUserId()
    {
        return userId;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("objid", getObjid())
            .append("lineLossId", getLineLossId())
            .append("lineLossName", getLineLossName())
            .append("monitorId", getMonitorId())
            .append("monitorName", getMonitorName())
            .append("monitorType", getMonitorType())
            .append("grade", getGrade())
            .append("lineLossStatus", getLineLossStatus())
            .append("userId", getUserId())
            .append("deptId", getDeptId())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
